# Mouseable

https://user-images.githubusercontent.com/43294688/148503688-66ea2e4b-9212-4392-90a5-87cf240358e4.mp4

## Features

* Leverage on the features of a computer mouse without using the actual device.
* Fully customizable hotkeys.
* Convenient features which helps to move the cursor quickly.

## Installation

Download the installer or portable executable file
at **[Releases](https://github.com/wirekang/mouseable/releases)**.

*Requires Chrome or Edge because Mouseable uses [lorca](https://github.com/zserge/lorca) to draw the GUI.*

## Reasons for using Mouseable, in Replacement of an Actual Mouse

1. **Better Productivity**

It's a clear that Mouseable is uncomfortable than real mouse. But it can help you to use mouse only when you
really need it. Ask yourself, do you use your mouse frequently (or at all) during programming? Is it really
necessary? I think not. Since, you could very well perform most of the tasks in your workflow using various
keyboard shortcuts and hotkeys, and achieve even better productivity and efficiency, as you would otherwise,
achieve using a mouse. Every single action in your IDE of chocie will most likely have a binded shortcut. If
you could familiarize yourself with just using a keyboard, instead of relying on a mouse, you will most likely
attain way better productivity. For instance, in these common situations listed down below, you don't even
need a mouse:

* In IDE, use vim plugin and shortcuts.

* In Browser,
  use [Vimium](https://chrome.google.com/webstore/detail/vimium/dbepggeogbaibhgnhhndojpepiihcmeb?hl=en)

* Other situations, use mouseable!


2. **Health Benefits**

   Using a mouse puts unnecessary strain on your wrist. As such, just place your wrists in front of your
   keyboard and maintain that position, instead of constantly having to move your wrist around while using a
   mouse!


3. **Better Utilization of Existing Table Space**

   Extra table space is required to use a computer mouse. Hence, keep your desk nice and free by putting away
   your mouse!

## Limitations

* Windows Only
* Mouseable must be run with administrator privileges, otherwise it will not work on system software such as
  Task Manager.

## Contributing

* Better installation and execution  
  Mouseable needs to be terminated while it is being installed, and run automatically on startup by admin
  privileges. If you know well about it, please help me!


* Readme

  If you find any awkward sentence, please PR! I'm not good at english.


* Graphic

  This project needs image assets such as icons and a social-preview image.

## Motivation

This program was inspired by
[Ultimate Hacking Keyboard Demo](https://youtu.be/4rjnkHqnA3s?t=20),
[Windows built-in function](https://support.microsoft.com/en-us/windows/use-mouse-keys-to-move-the-mouse-pointer-9e0c72c8-b882-7918-8e7b-391fd62adf33)
and [NeatMouse](https://github.com/neatdecisions/neatmouse).

## [Release Notes](release-notes.md)
